package com.bcxin.identify.business.dao;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.identify.business.domain.ysp.ComVideoRoom;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * <b>  </b>
 * @author ZXF
 * @create 2020/06/19 0019 17:40
 * @version
 * @注意事项 </b>
 */
@Component
@Mapper
public interface ComVideoRoomMapper extends BaseMapper<ComVideoRoom> {

    int insertComVideoRoom(ComVideoRoom comVideoRoom);

    int updateEndTime(ComVideoRoom comVideoRoom);

    ComVideoRoom get(Long comVideoRoomId);

    ComVideoRoom getByRoomNo(String roomNo);

    List<Map<String,Object>> findComVideoRoomPage(ComVideoRoom comVideoRoom);
}